/*
* Copyright (c) 2012-2016, NVIDIA CORPORATION. All rights reserved.
*
* NVIDIA CORPORATION and its licensors retain all intellectual property
* and proprietary rights in and to this software, related documentation
* and any modifications thereto. Any use, reproduction, disclosure or
* distribution of this software and related documentation without an express
* license agreement from NVIDIA CORPORATION is strictly prohibited.
*/
#pragma once

//#define ENABLE_STACKTRACE

namespace NVRHI
{

    // this function only works on windows if the StackWalker library is downloaded in nvrhi/thirdparty when cmake is invoked AND ENABLE_STACKTRACE is defined
    // see nvrhi/thirdparty/_README.txt for details
    const char* getStackTrace(int ignoreFrameCount = -1);

}
